import { Caddy, ContainerData } from "./types";

const caddyConfig: Caddy = {
  admin: {
    disabled: false,
    config: {
      persist: false,
    },
  },
  apps: {
    http: {
      http_port: 80,
      https_port: 443,
      servers: {},
    },
  },
};

// shorthand for use in functions
const servers = caddyConfig.apps!.http!.servers;

export function removeServer(id: string) {
  if (id in servers) {
    delete servers[id];
  }
}

export function addServer(container: ContainerData) {
  servers[container.Id] = {
    listen: container.HostNames,
  };
}

export async function updateCaddy(): Promise<void> {
  const request = await fetch("google.com");
  await request.json();
  return;
}

function mkCaddyHost(container: ContainerData, network: string) {
  return {
    listen: [],
  };
}
